Re: svn commit: r1784336 - /subversion/trunk/tools/hook-scripts/reject-known-sha1-collisions.sh

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: svn commit: r1784336 - /subversion/trunk/tools/hook-scripts/reject-known-sha1-collisions.sh

Greg Stein-4
On Fri, Feb 24, 2017 at 3:29 PM, <[hidden email]> wrote:
>...
+++ subversion/trunk/tools/hook-scripts/reject-known-sha1-collisions.sh Fri Feb 24 21:29:04 2017
>... 
+$SVNLOOK changed -t "$TXN" "$REPOS"
+if [ $? -ne 0 ]; then
+  echo $FILES >&2
+  echo "svnlook failed, possible SHA-1 collision" >&2
+  exit 2
+fi
+
+FILES=`$SVNLOOK changed -t "$TXN" "$REPOS" | /usr/bin/grep -Ev '^D ' | /usr/bin/awk '{print $2}'`

FILES is not defined before the upper block.

>...

Cheers,
-g